This error is due to the Crystal Reports Support Pack 10 that is a prerequisite included with The Raiser's Edge version 7.94 and higher not being installed.

Complete the following steps in the order listed below:
  1. Go to Control Panel, Programs and Features and check to see if the "SAP Crystal Reports runtime engine for .NET Framework" program is listed as an installed program
  2. If "SAP Crystal Reports runtime engine for .NET Framework" is not listed, then browse to your deploy folder (BB120314), select the ISSetupPrerequisites folder, select the Crystal Reports Support Pack 10 folder, right-click on the CRRuntime_32bit_13_0_10.msi file and select Install
  3. Log into The Raiser's Edge and run your report
OR

Update/repair Raiser's Edge on the workstation and then complete the steps listed above.